## ros-noetic-tf2 0.7.6

=== debian/changelog ===
ros-noetic-tf2 (0.7.6-1focal) focal; urgency=high

  * Fix dead loop in message filter (#532 <https://github.com/ros/geometry2/issues/532>)
  * Restore time difference order so future extrapolation exceptions don't show non-sensical negative seconds into the future (#522 <https://github.com/ros/geometry2/issues/522>)
  * Contributors: Feng Zhaolin, Lucas Walter

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 11 Oct 2022 07:00:00 -0000

ros-noetic-tf2 (0.7.5-1focal) focal; urgency=high

  * restore buffer sizes
  * Contributors: Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2 (0.7.4-1focal) focal; urgency=high

  * Fix potential buffer overrun of snprintf (#479 <https://github.com/ros/geometry2/issues/479>)
  * Contributors: Atsushi Watanabe

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 01 Sep 2020 07:00:00 -0000

ros-noetic-tf2 (0.7.3-1focal) focal; urgency=high

  * Use snprintf instead of stringstream to increase performance of lookupTransform() in error cases.
  * Do not waste time constructing error string if nobody is interested in it in canTransform(). (#469 <https://github.com/ros/geometry2/issues/469>)
  * Output time difference of extrapolation exceptions (#477 <https://github.com/ros/geometry2/issues/477>)
  * Cherry-picking various commits from Melodic (#471 <https://github.com/ros/geometry2/issues/471>)
    * Revert "rework Eigen functions namespace hack" (#436 <https://github.com/ros/geometry2/issues/436>)
    * Fixed warnings in message_filter.h (#434 <https://github.com/ros/geometry2/issues/434>)
    the variables are not used in function body and caused -Wunused-parameter to trigger with -Wall
    * Fix ambiguous call for tf2::convert on MSVC (#444 <https://github.com/ros/geometry2/issues/444>)
    * rework ambiguous call on MSVC.
  * Contributors: Lucas Walter, Martin Pecka, Robert Haschke

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 25 Aug 2020 07:00:00 -0000

ros-noetic-tf2 (0.7.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 07:00:00 -0000

ros-noetic-tf2 (0.7.1-1focal) focal; urgency=high

  * Fix to improper ring_45 test, where 'anchor' frame for both inverse and normal transform was frame 'b' instead of frame 'a', thus creating a problem
  * Don't insert a TF frame is one of the same timestamp already exists, instead just overwrite it.
  * [Noetic] Add tf2::Stamped<T>::operator=() to fix warnings downstream (#453 <https://github.com/ros/geometry2/issues/453>)
    * Add tf2::Stamped<T>::operator=()
  * [noetic] cherry-pick Windows fixes from melodic-devel (#450 <https://github.com/ros/geometry2/issues/450>)
    * [Windows][melodic-devel] Fix install locations (#442 <https://github.com/ros/geometry2/issues/442>)
    * fixed install locations of tf2
    * [windows][melodic] more portable fixes. (#443 <https://github.com/ros/geometry2/issues/443>)
    * more portable fixes.
  * Contributors: Patrick Beeson, Robert Haschke, Sean Yen, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 13 May 2020 07:00:00 -0000

ros-noetic-tf2 (0.7.0-1focal) focal; urgency=high

  * Bump CMake version to avoid CMP0048 warning (#445 <https://github.com/ros/geometry2/issues/445>)
    Signed-off-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
  * Fix compile error missing ros/ros.h (#400 <https://github.com/ros/geometry2/issues/400>)
    * ros/ros.h -> ros/time.h
    tf2 package depends on rostime
    * tf2_bullet doesn't need ros.h
    Signed-off-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
    * tf2_eigen doesn't need ros/ros.h
    Signed-off-by: Shane Loretz <mailto:sloretz@osrfoundation.org>
  * Merge pull request #367 <https://github.com/ros/geometry2/issues/367> from kejxu/add_tf2_namespace_to_avoid_name_collision
    rework Eigen functions namespace hack
  * separate transform function declarations into transform_functions.h
  * use ROS_DEPRECATED macro for portability (#362 <https://github.com/ros/geometry2/issues/362>)
    * use ROS_DEPRECATED for better portability
    * change ROS_DEPRECATED position (#5 <https://github.com/ros/geometry2/issues/5>)
  * Remove signals from find_package(Boost COMPONENTS ...).
    tf2 is using signals2, which is not the same library.
    Additionally, signals2 has always been header only, and header only
    libraries must not be listed in find_package.
    Boost 1.69 removed the old signals library entirely, so the otherwise
    useless COMPONENTS signals actually breaks the build.
  * Remove legacy inclusion in CMakeLists of tf2.
  * Contributors: James Xu, Maarten de Vries, Marco Tranzatto, Shane Loretz, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Mar 2020 07:00:00 -0000

ros-noetic-tf2 (0.6.5-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-noetic-tf2 (0.6.4-1focal) focal; urgency=high

  * Resolved pedantic warnings
  * fix issue #315 <https://github.com/ros/geometry2/issues/315>
  * fixed nan interpoaltion issue
  * Contributors: Keller Fabian Rudolf (CC-AD/EYC3), Kuang Fangjun, Martin Ganeff

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 06 Nov 2018 08:00:00 -0000

ros-noetic-tf2 (0.6.3-1focal) focal; urgency=high

  * preserve constness of const argument to avoid warnings (#307 <https://github.com/ros/geometry2/issues/307>)
  * Change comment style for unused doxygen (#297 <https://github.com/ros/geometry2/issues/297>)
  * Contributors: Jacob Perron, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 09 Jul 2018 07:00:00 -0000

ros-noetic-tf2 (0.6.2-1focal) focal; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 07:00:00 -0000

ros-noetic-tf2 (0.6.1-1focal) focal; urgency=high

  * Replaced deprecated console_bridge macro calls (tests)
  * Contributors: Johannes Meyer, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 21 Mar 2018 07:00:00 -0000


